import React, { useState } from "react";
import { getAvatarColor } from "../../../modules/collaboration/functions/getAvatarColor";
import { KebabIcon } from "../../icons/ExportCommonIcons";

interface MessageProps {
  val: Reply;
  i: number;
}

const Messages: React.FC<MessageProps> = ({ val, i }) => {
  const [isEditing, setIsEditing] = useState(false);
  const [openOptions, setOpenOptions] = useState(false);
  const currentUser = "1";

  const UserName = "username";

  return (
    <>
      {isEditing ? (
        <>
          <div
            className="profile"
            style={{ background: getAvatarColor(i, UserName) }}
          >
            {UserName[0]}
          </div>
          <div className="content">
            <div className="user-details">
              <div className="user-name">{UserName}</div>
              <div className="time">{val.createdAt}</div>
            </div>
            {val.creatorId === currentUser && (
              <div className="more-options">
                <button
                  className="more-options-button"
                  onClick={() => {
                    setOpenOptions(true);
                  }}
                >
                  <KebabIcon />
                </button>
                {openOptions && (
                  <div className="options-list">
                    <button
                      className="option"
                      onClick={() => {
                        setIsEditing(true);
                      }}
                    >
                      Edit
                    </button>
                    <button className="option">Delete</button>
                  </div>
                )}
              </div>
            )}
          </div>
        </>
      ) : (
        <div className="edit-container">
          <div className="input-container">
            <textarea />
          </div>
          <div className="actions-container">
            <div className="actions">
              <button className="cancel-button">Cancel</button>
              <button className="save-button">Save</button>
            </div>
          </div>
        </div>
      )}
    </>
  );
};

export default Messages;
