import React from "react";
import { CloseIcon, KebabIcon } from "../../icons/ExportCommonIcons";
import Messages from "./Messages";
import { ExpandIcon } from "../../icons/SimulationIcons";

const ThreadChat: React.FC = () => {
  const messages = [
    {
      replyId: "user 1",
      creatorId: "1",
      createdAt: "hello, thread check",
      lastUpdatedAt: "2 hrs ago",
      reply: "true",
    },
    {
      userName: "user 2",
      userId: "2",
      message: "hello, thread check",
      creationTime: "2 hrs ago",
      idEdited: "true",
    },
  ];

  return (
    <div className="thread-char-wrapper">
      <div className="thread-char-container">
        <div className="header-wrapper">
          <div className="header">Comment</div>
          <div className="header-options">
            <button className="options-button">
              <KebabIcon />
            </button>
            <div className="options-list">
              <div className="options">Mark as Unread</div>
              <div className="options">Mark as Resolved</div>
              <div className="options">Delete Thread</div>
            </div>
            <button className="close-button">
              <CloseIcon />
            </button>
          </div>
        </div>
        <div className="messages-wrapper">
          {messages.map((val, i) => (
            <Messages val={val as Reply} i={i} key={val.userId} />
          ))}
        </div>
        <div className="send-message-wrapper">
            <div className="input-container">
                <input type="text" />
                <div className="sent-button">
                    <ExpandIcon />
                </div>
            </div>
        </div>
      </div>
    </div>
  );
};

export default ThreadChat;
