let url_Backend_dwinzo = `http://${process.env.REACT_APP_SERVER_REST_API_BASE_URL}`;
// let url_Backend_dwinzo = `http://192.168.0.102:5000`;

export const delete3dWidgetApi = async (
  zoneId: string,
  organization: string,
  id: string
) => {
  try {
    const response = await fetch(
      `${url_Backend_dwinzo}/api/v2/widget3D/delete`,
      {
        method: "PATCH",
        headers: {
          "Content-Type": "application/json",
        },
        body: JSON.stringify({ organization, zoneId, id }),
      }
    );

    if (!response.ok) {
      throw new Error("Failed to delete floating widget in the zone");
    }

    const result = await response.json();
    return result;
  } catch (error) {
    echo.error("Failed to delete 3d widget");
    if (error instanceof Error) {
      throw new Error(error.message);
    } else {
      throw new Error("An unknown error occurred");
    }
  }
};
